package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

public enum PayStatus implements BaseEnum<String, PayStatus> {

	FAILED("支付失败"), WAIT_PAY("待支付"), PAYING("支付中"), SUCCESSED("支付成功");

	private String desc;

	private PayStatus(String desc) {
		this.desc = desc;
	}

	@Override
	public String getCode() {
		return this.name();
	}

	public String getDesc() {
		return desc;
	}
}
